View Single Post
Old 10-10-09, 01:52 PM   #5
cunha17
Registered User
 
Join Date: Oct 2009
Posts: 1
Default Re: (EE) Failed to find required symbol 'dixLookupResource'

This error still occurs with 190.32 on Fedora Rawhide.
------------------------------------------------------------------
X.Org X Server 1.7.0
Release Date: 2009-10-2
X Protocol Version 11, Revision 0
Build Operating System: 2.6.18-128.4.1.el5xen
Current Operating System: Linux thor 2.6.30.8-67.fc11.x86_64 #1 SMP Sat Sep 26 17:20:35 EDT 2009 x86_64
Kernel command line: ro root=/dev/vg01/lv.root nofb fbcon=map:2 SYSFONT=latarcyrheb-sun16 LANG=pt_BR.UTF-8 KEYTABLE=us-acentos rd_plytheme=charge
Build Date: 05 October 2009 12:37:45AM
Build ID: xorg-x11-server 1.7.0-1.fc12
Current version of pixman: 0.16.2
...
(II) LoadModule: "glx"
(II) Loading /usr/lib64/xorg/modules/extensions/libglx.so
(II) Module glx: vendor="NVIDIA Corporation"
compiled for 4.0.2, module version = 1.0.0
Module class: X.Org Server Extension
(II) NVIDIA GLX Module 190.32 Wed Sep 2 03:29:24 PDT 2009
(II) Loading extension GLX
(II) LoadModule: "record"
(II) Loading /usr/lib64/xorg/modules/extensions/librecord.so
(II) Module record: vendor="X.Org Foundation"
compiled for 1.7.0, module version = 1.13.0
Module class: X.Org Server Extension
ABI class: X.Org Server Extension, version 2.0
(II) Loading extension RECORD
(II) LoadModule: "dri"
(II) Loading /usr/lib64/xorg/modules/extensions/libdri.so
(II) Module dri: vendor="X.Org Foundation"
compiled for 1.7.0, module version = 1.0.0
ABI class: X.Org Server Extension, version 2.0
(II) Loading extension XFree86-DRI
(II) LoadModule: "dri2"
(II) Loading /usr/lib64/xorg/modules/extensions/libdri2.so
(II) Module dri2: vendor="X.Org Foundation"
compiled for 1.7.0, module version = 1.1.0
ABI class: X.Org Server Extension, version 2.0
(II) Loading extension DRI2
(II) LoadModule: "nvidia"
(II) Loading /usr/lib64/xorg/modules/drivers/nvidia_drv.so
(II) Module nvidia: vendor="NVIDIA Corporation"
compiled for 4.0.2, module version = 1.0.0
Module class: X.Org Video Driver
================ WARNING WARNING WARNING WARNING ================
This server has a video driver ABI version of 6.0 that this
driver does not officially support. Please check
http://www.nvidia.com/ for driver updates or downgrade to an X
server with a supported driver ABI.
================================================== ===============
(WW) NVIDIA: The driver will continue to load, but may behave strangely.
(WW) NVIDIA: This driver was compiled against the X.Org server SDK from commit 9d8fc33cae2fee7777edd20658dbf6a3ffb3d557 and may not be compatible with the final version of this SDK.
(WW) NVIDIA: This server has an unsupported input driver ABI version (have 7.0, need < 5.0). The driver will continue to load, but may behave strangely.
(II) NVIDIA dlloader X Driver 190.32 Wed Sep 2 02:39:53 PDT 2009
(II) NVIDIA Unified Driver for all Supported NVIDIA GPUs
(II) Primary Device is: PCI 01@00:00:0
...
SELinux: Disabled on system, not enabling in X server
(EE) Failed to find required symbol 'dixLookupResource'
record: RECORD extension enabled at configure time.
record: This extension is known to be broken, disabling extension now..
record: http://bugs.freedesktop.org/show_bug.cgi?id=20500
...
------------------------------------------------------------------
cunha17 is offline   Reply With Quote